API Direct
Endpoints
TikTok Playlist Videos

TikTok Playlist Videos

GET /v1/tiktok/playlist/videos

Get a playlist's videos in playlist order by playlist URL or numeric playlist ID. Returns the same fields as User Videos for each video, 30 per page.

Cost
$0.006 per page
Free tier
50 requests/month

Parameters

url
TikTok playlist URL, e.g. https://www.tiktok.com/@natgeo/playlist/Cinematic-7509464647364283178 (max 500 characters). Provide exactly one of url or playlist_id.
playlist_id
Numeric playlist ID: the number at the end of a playlist URL. Provide exactly one of url or playlist_id.
pages
Number of pages to fetch, 1-1000 (default: 1). Each page returns up to 30 videos.
get_sentiment
Set to true to add AI emotion analysis (+$0.001/page)

Example Request

curl "https://apidirect.io/v1/tiktok/playlist/videos?url=https://www.tiktok.com/@natgeo/playlist/Cinematic-7509464647364283178"   -H "X-API-Key: YOUR_API_KEY"

Example Response

{
  "videos": [
    {
      "video_id": "7509066418168597791",
      "title": "Spring in Patagonia is a time of abundance, and this puma mother has cubs to feed",
      "url": "https://www.tiktok.com/@natgeo/video/7509066418168597791",
      "date": "2025-05-27 10:14:17",
      "date_timestamp": 1748340857,
      "author": "natgeo",
      "source": "TikTok",
      "domain": "tiktok.com",
      "snippet": "Spring in Patagonia is a time of abundance, and this puma mother has cubs to feed",
      "region": "GB",
      "play_count": 31112,
      "likes": 1268,
      "comments": 31,
      "shares": 44,
      "downloads": 1,
      "saves": 51,
      "duration": 20,
      "is_ad": false,
      "is_pinned": false,
      "author_name": "National Geographic",
      "author_id": "6780344874811442181",
      "author_avatar": "https://p16-common-sign.tiktokcdn-eu.com/.../avatar.jpeg",
      "author_url": "https://www.tiktok.com/@natgeo",
      "cover": "https://p16-common-sign.tiktokcdn-eu.com/.../cover.jpeg",
      "dynamic_cover": "https://p16-common-sign.tiktokcdn-eu.com/.../dynamic_cover.webp",
      "origin_cover": "https://p16-common-sign.tiktokcdn-eu.com/.../origin_cover.jpeg",
      "video_url": "https://v19.tiktokcdn-eu.com/.../video.mp4",
      "video_url_watermarked": "https://v19.tiktokcdn-eu.com/.../video_wm.mp4",
      "size": 3008834,
      "size_watermarked": 0,
      "images": [],
      "music_url": "https://sf16-music.tiktokcdn-eu.com/.../music.mp3",
      "mentioned_user_ids": [
        "6763618106315375621"
      ]
    }
  ],
  "playlist_id": "7509464647364283178",
  "pages": 1,
  "count": 27
}

Your Usage

Free tier this month
Loading...
Recent Activity